Bug 277472 - Calendar in clock - scrolling holiday listing does not include all holidays
Summary: Calendar in clock - scrolling holiday listing does not include all holidays
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-clock (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-10 15:31 UTC by bill p. (aka google01103)
Modified: 2011-07-18 12:50 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
claendar in clock widget (43.99 KB, image/png)
2011-07-12 10:03 UTC, bill p. (aka google01103)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bill p. (aka google01103) 2011-07-10 15:31:51 UTC
Version:           unspecified (using Devel) 
OS:                Linux

if I open the calendar to a very busy month (see image link) the holiday listings do not scroll to show all holidays, in the image example the scrolling stops at the 15th of the month thought there is many more holidays

http://simplest-image-hosting.net/png-0-cal1
[URL=http://simplest-image-hosting.net/png-0-cal1][IMG]http://i0.simplest-image-hosting.net/thumbnail/cal1.png[/IMG][/URL]


Reproducible: Always

Steps to Reproduce:
open calendar to a busy month 

Actual Results:  
scrolling stops at the 15th instead of the 31st

Expected Results:  
scrolls to the 31st
Comment 1 Anne-Marie Mahfouf 2011-07-12 07:22:00 UTC
Please attach your screenshot inside this bug report using the bottom URL "Add an attachment" as external services will expire.

Additionally, what is your KDE version and distribution?

Thanks in advance.
Comment 2 bill p. (aka google01103) 2011-07-12 10:03:18 UTC
Created attachment 61798 [details]
claendar in clock widget
Comment 3 bill p. (aka google01103) 2011-07-12 10:03:54 UTC
Platform Version 4.6.95 (4.7 RC2) "release 1"
OpenSuse 64bit
Comment 4 Aaron J. Seigo 2011-07-18 12:49:59 UTC
Git commit 3acd1a0410a3a033e173fe8ba0c03dde67bfb1ff by Aaron Seigo.
Committed on 18/07/2011 at 14:48.
Pushed by aseigo into branch 'KDE/4.7'.

don't bother limiting the number of events shown.

the data is already there in memory, it's at most one month of data and starts from the date the user selected, and apparently users expect to see it all .. which makes sense.
while i was in there, made some minor improvements to the code (style, efficiency..)

BUG:277472

M  +20   -25   libs/plasmaclock/calendar.cpp

http://commits.kde.org/kde-workspace/3acd1a0410a3a033e173fe8ba0c03dde67bfb1ff
Comment 5 Aaron J. Seigo 2011-07-18 12:50:00 UTC
Git commit 130e3eaf3677fa107f0ee8488a9df51c6a97f078 by Aaron Seigo.
Committed on 18/07/2011 at 14:48.
Pushed by aseigo into branch 'master'.

don't bother limiting the number of events shown.

the data is already there in memory, it's at most one month of data and starts from the date the user selected, and apparently users expect to see it all .. which makes sense.
while i was in there, made some minor improvements to the code (style, efficiency..)

BUG:277472

M  +20   -25   libs/plasmaclock/calendar.cpp

http://commits.kde.org/kde-workspace/130e3eaf3677fa107f0ee8488a9df51c6a97f078